<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Capitulo_10</title>
</head>
<body>
    <h1>Capitulo 10</h1>
    <a>Ejercicio 1</a>

    <script>
    
        const ordenar = (a, b, n, m) => {
     
            let i = n - 1,
                j = m - 1,
            ultimoIndex = n + m - 1;

            while (j >= 0) {
                
                if (i >= 0 && a[i] > b[j]) {
                    a[ultimoIndex] = a[i];
                    i--;
                } else {
                    a[ultimoIndex] = b[j];
                    j--;
                }
                ultimoIndex--;
            }
            return a;
        }

        const imprimirArray = (arr, n) => {
            console.log("Anagramas agrupados: ")
            for(let i = 0; i < n; i++) {
                    console.log(arr[i] + " ");
                }
        }
 
        let a = [10, 12, 13, 14, 18, -1, -1, -1, -1, -1];
        let n = 5,
       size_a = 10;
        
        let b = new Array(16, 17, 19, 20, 22);
        let m = 5,
            c = ordenar(a, b, n, m);
        console.log(`Anagrama A: ${a}, Anagrama B: ${b}`)
        imprimirArray(c, size_a);
 
        
        
</script>
    
</body>
</html>